Debian Bug report logs - #699859
PlayOnLinux doesn't start on kFreeBSD

version graph

Package: playonlinux; Maintainer for playonlinux is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for playonlinux is src:playonlinux.

Reported by: Random Anonymous <ihaveastrangename@gmail.com>

Date: Tue, 5 Feb 2013 23:24:01 UTC

Severity: important

Tags: patch

Found in version 4.1.1

Fixed in version playonlinux/4.2.1-1

Done: Bertrand Marc <beberking@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#699859; Package playonlinux. (Tue, 05 Feb 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Random Anonymous <ihaveastrangename@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 05 Feb 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Random Anonymous <ihaveastrangename@gmail.com>
To: submit@bugs.debian.org
Subject: PlayOnLinux doesn't start
Date: Tue, 5 Feb 2013 15:20:44 -0800
[Message part 1 (text/plain, inline)]
Subject: playonlinux: Doesn't start
Package: playonlinux
Version: 4.1.1
Justification: renders package unusable
Severity: grave
Tags: patch

Dear Maintainer,

I am running Debian GNU/kFreeBSD in a VirtualBox. uname reports
GNU/kFreeBSD debian 9.0-2-686 #0 .... i386 i386 AMD Athalon(tm) 64 X2
Dual-Core Processor TK-57 GNU/kFreeBSD

When I try to run PlayOnLinux (4.1.1) it reports "This script must be run
on a linux system". To fix this, either (if it needs linux specifically)
remove it or (preferably) remove line 34 from file
"/usr/share/playonlinux/playonlinux".

Unfortunately, reportbug crashes on this system, so I had to file this bug
report from my Debian host, so some details that reportbug reports may be
inaccurate.


-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-rt-686-pae (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages playonlinux depends on:
ii  cabextract       1.4-3
ii  icoutils         0.29.1-5
ii  imagemagick      8:6.7.7.10-5
ii  python           2.7.3~rc2-1
ii  python-wxgtk2.8  2.8.12.1-12
ii  unzip            6.0-8
ii  wget             1.13.4-3
ii  wine             1.4.1-4
ii  xterm            278-4

playonlinux recommends no packages.

playonlinux suggests no packages.

-- no debconf information
[Message part 2 (text/html, inline)]

Message sent on to Random Anonymous <ihaveastrangename@gmail.com>:
Bug#699859. (Thu, 07 Feb 2013 13:03:06 GMT) Full text and rfc822 format available.

Message #8 received at 699859-submitter@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 699859-submitter@bugs.debian.org
Subject: PlayOnLinux doesn't start
Date: Thu, 07 Feb 2013 13:59:27 +0100
[Message part 1 (text/plain, inline)]
Hello,

i'm not sure if the creators of PlayOnLinux have ever considered the
software to be used on kfreeBSD.

However can you confirm that the software is otherwise usable if you
modify the check for a Linux system in /usr/share/playonlinux/playonlinux?

If this is the case then a simple solution would be to improve the check
and to test whether a Linux kernel or a kFreeBSD kernel is in use.

If you cannot use playonlinux although you have removed the check then
it's probably better to state in README.Debian that kfreeBSD is not
supported.

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#699859; Package playonlinux. (Fri, 08 Feb 2013 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Random Anonymous <ihaveastrangename@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 08 Feb 2013 02:27:03 GMT) Full text and rfc822 format available.

Message #13 received at 699859@bugs.debian.org (full text, mbox):

From: Random Anonymous <ihaveastrangename@gmail.com>
To: 699859@bugs.debian.org
Subject: update
Date: Thu, 7 Feb 2013 18:24:35 -0800
When removing the Linux check, playonlinux starts. However, when
trying to install a windows program (7zip), it downloads a linux
version of wine. This (obviously) doesn't work. Maybe recoding
playonlinux to download a custom GNU/kfreeBSD version of wine would
help, but I can understand that this project isn't on the front
burner.

Tldr: It doesn't do anything useful.



Changed Bug title to 'PlayOnLinux doesn't start on kFreeBSD' from 'PlayOnLinux doesn't start' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Fri, 08 Feb 2013 13:00:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Fri, 08 Feb 2013 13:00:08 GMT) Full text and rfc822 format available.

Message sent on to Random Anonymous <ihaveastrangename@gmail.com>:
Bug#699859. (Fri, 08 Feb 2013 13:00:10 GMT) Full text and rfc822 format available.

Message #20 received at 699859-submitter@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 699859-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: PlayOnLinux doesn't start
Date: Fri, 8 Feb 2013 13:57:12 +0100
[Message part 1 (text/plain, inline)]
retitle 699859 PlayOnLinux doesn't start on kFreeBSD
severity 699859 important
thanks

Hi,

I think this bug report includes two bugs. One should be priority
important and should either allow the use of PlayOnLinux for kFreeBSD
(which doesn't make much sense at the moment) or state in README.Debian
that the platform is not supported (yet).

The other one is a wishlist bug for the PlayOnLinux developers to
support kFreeBSD. 

I have downgraded the severity to important because PlayOnLinux works for its
target group (Linux users) out-of-the-box. As you said yourself it is
rather easy to remove the check for Linux and to use it even on kFreeBSD
but then you can't do anything useful because PlayOnLinux works with the
Linux version of Wine.

The wishlist bug can't be fixed in time for the release of wheezy and
requires major upstream efforts.

I don't think the bug is release critical. The rest is at Bertrand's
discretion.

Regards,

Markus

[signature.asc (application/pgp-signature, inline)]

Reply sent to Bertrand Marc <beberking@gmail.com>:
You have taken responsibility. (Wed, 22 May 2013 00:36:19 GMT) Full text and rfc822 format available.

Notification sent to Random Anonymous <ihaveastrangename@gmail.com>:
Bug acknowledged by developer. (Wed, 22 May 2013 00:36:19 GMT) Full text and rfc822 format available.

Message #25 received at 699859-close@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 699859-close@bugs.debian.org
Subject: Bug#699859: fixed in playonlinux 4.2.1-1
Date: Wed, 22 May 2013 00:33:19 +0000
Source: playonlinux
Source-Version: 4.2.1-1

We believe that the bug you reported is fixed in the latest version of
playonlinux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bertrand Marc <beberking@gmail.com> (supplier of updated playonlinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 21 May 2013 21:47:44 +0200
Source: playonlinux
Binary: playonlinux
Architecture: source all
Version: 4.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Bertrand Marc <beberking@gmail.com>
Description: 
 playonlinux - front-end for Wine
Closes: 676687 683682 687207 699859
Changes: 
 playonlinux (4.2.1-1) unstable; urgency=low
 .
   * New upstream release (closes: #687207, #683682).
   * Most of the patches were included upstream under the condition that
     DEBIAN_PACKAGE is set to TRUE. So delete all the patches included
     upstream and replace them with set_debian_env.diff.
   * Refresh debian/patches/remove_binary_plugin.diff and add a description.
   * Update temporary permission fix in debian/rules.
   * Fix spelling error in description and manpage.
   * debian/control: suggests curl and scrot as the screen capture plugin
     requires them (closes: #676687).
   * State in README.Debian that is linux is the only platform supported
     (closes: #699859).
   * Standards-Version 3.9.4.
   * Update the years in debian/copyright and exlain why the icons from the
     Tango project are in the public domain and what it means.
Checksums-Sha1: 
 2397504101eb85f077cb0ea2117527a464c7450c 1331 playonlinux_4.2.1-1.dsc
 97ff151ea69dcb586bad8e7a6725a1777f5b35ec 4308243 playonlinux_4.2.1.orig.tar.gz
 0eabf94ec1f9006abcde56ca1824aab106eb6b67 6534 playonlinux_4.2.1-1.debian.tar.gz
 ce3ad8457576de5b5ac16dfd8eb4f09f195e19b3 1687244 playonlinux_4.2.1-1_all.deb
Checksums-Sha256: 
 a121c34646f8e89faf27ef9bb4e049f99970600440496264cf24652d0c6af302 1331 playonlinux_4.2.1-1.dsc
 44af025383781beb811a14a89d45b47b8328ce1247cd8c91515b12febaf5c26a 4308243 playonlinux_4.2.1.orig.tar.gz
 3cc2df11c033c097271b6045baa9b55ead48b27925a5a7bce6bc3c6147f45f70 6534 playonlinux_4.2.1-1.debian.tar.gz
 3fa8fc310bfc2cf2dce3f86bfb16e9a4d7874fcdcd2c71230811457c3322d558 1687244 playonlinux_4.2.1-1_all.deb
Files: 
 4d5e9ba029be894630d8944545241940 1331 contrib/otherosfs optional playonlinux_4.2.1-1.dsc
 4f80195c28d5424045b6471032d173b3 4308243 contrib/otherosfs optional playonlinux_4.2.1.orig.tar.gz
 6c3041428bc77acb0e60c97a01c09011 6534 contrib/otherosfs optional playonlinux_4.2.1-1.debian.tar.gz
 9c6f6dd99bb27c9c32a59450f061a480 1687244 contrib/otherosfs optional playonlinux_4.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGb2QMACgkQ5ItltUs5T37C7gCgzL4MY4PbWc4HTMG2SM7LUnMo
7nMAoPHp1lKWjw5Xr0KU1hi3lvpF1IWy
=VWTH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Jun 2013 07:33:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:25:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.